Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://www.jpicedt.org
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jpicedt.graphic.event
Class EditorKitEvent

    java.lang.Object
      jpicedt.graphic.event.EditorKitEvent

public class EditorKitEvent
extends Object

A class that allows an EditorKit's mousetool to send high-level mouse-events, i.e. somehow pre-processed by the EditorKit machinery. This is inspired from `javax.swing.event.HyperlinkListener`.
Application cover :

- UI implementation outside the jpicedt.graphic package can react to mouse-event w/o the burden of processing the event.
- Internal use by other EditorKit's mousetools.

  [pending] underway ; compile ok but not used yet.

  Since:
    jpicedt 1.3.2
  Version:
    $Id: EditorKitEvent.java,v 1.5.2.1 2007/09/02 11:56:18 reynal Exp $
  Author:
    Sylvain Reynal

  Nested Class Summary
  `static class` | `EditorKitEvent.EventType` typesafe enumeration of allowed event types

  Constructor Summary
  `EditorKitEvent(EditorKit source, EditorKitEvent.EventType type, HitInfo hitInfo)` contruct a new EditorKitEvent.

  Method Summary
  `HitInfo` | `getHitInfo()` Return the HitInfo associated with the mouse-event
  `EditorKit` | `getSource()` Return the editor kit that sourced this event
  `EditorKitEvent.EventType` | `getType()` Return the type of this event
  `String` | `toString()` Return a String representation of this event for debugging purpose.

  Methods inherited from class java.lang.Object
  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  Constructor Detail

  ### EditorKitEvent

      public EditorKitEvent(EditorKit source,
                            EditorKitEvent.EventType type,
                            HitInfo hitInfo)

    contruct a new EditorKitEvent.

  Parameters:
    `source` - the editorkit that sourced the event
    `type` - the event type
    `hitInfo` - the HitInfo associated with the mouse event

  Method Detail

  ### getSource

      public EditorKit getSource()

    Return the editor kit that sourced this event

  ### getType

      public EditorKitEvent.EventType getType()

    Return the type of this event

  ### getHitInfo

      public HitInfo getHitInfo()

    Return the HitInfo associated with the mouse-event

  ### toString

      public String toString()

    Return a String representation of this event for debugging purpose.

  Overview | Package | Class | Use | Tree | Deprecated | Index | Help
  | http://www.jpicedt.org
  PREV CLASS NEXT CLASS | FRAMES NO FRAMES
  SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

  Submit a bug : syd@jpicedt.org